%global pypi_name lazr.smtptest

Name:           python-%{pypi_name}
Version:        1.3
Release:        1%{?dist}
Summary:        A package providing a test framework for SMTP based applications

License:        LGPL
URL:            https://launchpad.net/lazr.smtptest
Source0:        http://pypi.python.org/packages/source/l/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

Requires:       python-distribute
Requires:       python-zope-interface

%description
This is LAZR smtptest, a framework for testing SMTP-based applications and
libraries. It provides a real, live SMTP server that you can send messages
to, and from which you can read those test messages. This can be used to
ensure proper operation of your applications which send email.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.txt COPYING.txt
%{python_sitelib}/lazr
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python_sitelib}/%{pypi_name}-%{version}-py?.?-nspkg.pth


%changelog
* Wed Nov 28 2012 Aurelien Bompard - 1.3-1
- Initial package.
